.schoolName {
  max-width: 250px;
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
}

.checkoutStatusPage {
  background-color: #f7f7f7;
  min-height: 100vh;
  padding-bottom: 90px;

  .studentSection {
    display: grid;
    grid-template-columns: 1fr 1fr;
    column-gap: 10px;
    row-gap: 12px;
    padding: 13px 27px;
    color: #333;

    .studentName {
      font-size: 14px;
    }

    .studentYear {
      font-size: 14px;
      text-align: right;
    }

    .totalAmountLabel {
      font-size: 17px;
    }

    .totalAmount {
      font-size: 17px;
      text-align: right;
    }
  }

  .paymentsSection {
    padding: 19px 13px 16px;

    .paymentsSectionHeader {
      display: flex;
      margin-bottom: 4px;

      .paymentsTitle {
        font-weight: bold;
        font-size: 14px;
        line-height: 16px;
        margin-bottom: 2px;
      }

      .paymentsSubtitle {
        color: #979797;
        font-size: 12px;
      }
    }

    .paymentItem {
      display: flex;
      justify-content: space-between;

      &:not(:last-child) {
        margin-bottom: 10px;
      }

      .paymentItemData {
        width: 100%;
        display: flex;
        justify-content: space-between;

        .paymentItemDataAmount {
          text-align: right;
          display: flex;
          flex-direction: column;
          justify-content: center;
        }
      }
    }
  }

  .payButton {
    position: fixed !important;
    left: 50%;
    transform: translate(-50%, 0);
    bottom: 20px;
    width: 320px;
    height: 52px;
  }
}
